/* IDL file */

[ uuid (E227B184-2322-101B-A7B1-00DD010E8DFE),
    pointer_default(unique),
    version(1.0)
] interface factl
{

    typedef [unique, string] unsigned char * PSZ_RESULT; 
                                         // string to allocate on server

    short factl([in, string] unsigned char *pszN, 
                [out, ref] PSZ_RESULT *ppszResult);

    void Shutdown(void);

}           
